SDL Library Documentation
Prev |  | Next

# SDL_DestroySemaphore

## Name

SDL_DestroySemaphore -- Destroys a semaphore that was created by SDL_CreateSemaphore.

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``void SDL_DestroySemaphore`(SDL_sem *sem);`

## Description

`SDL_DestroySemaphore` destroys the semaphore pointed to by `sem` that was created by `SDL_CreateSemaphore`. It is not safe to destroy a semaphore if there are threads currently blocked waiting on it.

## Examples

    if (my_sem != NULL) {
            SDL_DestroySemaphore(my_sem);
            my_sem = NULL;
    }

## See Also

`SDL_CreateSemaphore`, `SDL_SemWait`, `SDL_SemTryWait`, `SDL_SemWaitTimeout`, `SDL_SemPost`, `SDL_SemValue`

Prev | Home | Next
SDL_CreateSemaphore | Up | SDL_SemWait